<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class WooCheckout_Admin_Page {
    /**
	 * @var string The message to display after saving settings
	 */
    var $message = '';
    /**
	 * WooCheckout_Admin_Page constructor.
	 */
	public function __construct() {
		// Catch and run the save_settings() action
		if ( isset( $_REQUEST['woocheckout_nonce'] ) && isset ( $_REQUEST['action'] ) && 'woocheckout_save_settings' == $_REQUEST['action'] ) {
			$this->save_settings();
		}

		//add_action( 'admin_menu', array( $this, 'register_submenu_page' ) );

	}
    /**
	 * Save settings for the plugin
	 */
	public function save_settings() {
		if ( wp_verify_nonce( $_REQUEST['woocheckout_nonce'], 'woocheckout_save_settings' ) ) {
			update_option( 'woo-checkout', $_REQUEST['settings'] );

			$this->message =
				'<div class="updated notice"><p><strong>' .
				__( 'Lưu thay đổi', 'woo-checkout' ) .
				'</p></strong></div>';

		} else {

			$this->message =
				'<div class="error notice"><p><strong>' .
				__( 'Không thể lưu, vui lòng tải lại trang.', 'woo-checkout' ) .
				'</p></strong></div>';
		}
	}
    /**
	 * Register the sub-menu under "WooCommerce"
	 * Link: http://my-site.com/wp-admin/admin.php?page=woo-checkout
	 */
	public function register_submenu_page() {
		add_submenu_page(
			'woocommerce',
			__( 'Woo Checkout Settings', 'woo-checkout' ),
			'Woo Checkout',
			'manage_options',
			'woo-checkout',
			array( $this, 'admin_page_html' )
		);
	}
    public function admin_page_html() {
        // check user capabilities
		if ( ! current_user_can( 'manage_options' ) ) {
			return;
		}
        $settings = WooCheckout::get_settings();
        //var_dump($settings);
        ?>
        <div class="wrap">
            <h1><?= esc_html( get_admin_page_title() ); ?></h1>
            <form name="woocommerce_for_vietnam" method="post">
            <?php echo $this->message ?>
            <input type="hidden" id="action" name="action" value="woocheckout_save_settings">
            <input type="hidden" id="woocheckout_nonce" name="woocheckout_nonce" value="<?php echo wp_create_nonce( 'woocheckout_save_settings' ) ?>">
            <table class="form-table">
                    <tbody>
                    <tr>
                        <th scope="row"><?php _e( 'API key', 'woo-checkout' ) ?></th>
                        <td>
                            <input name="settings[apikey]" type="text" value="<?php if(isset($settings['apikey'])) echo $settings['apikey'] ?>"/>
                        </td>
                    </tr>
                    <tr>
                        <th scope="row"><?php _e( 'API Token', 'woo-checkout' ) ?></th>
                        <td>
                            <input name="settings[apitoken]" type="text" value="<?php if(isset($settings['apitoken'])) echo $settings['apitoken'] ?>"/>
                        </td>
                    </tr>
                    </tbody>
            </table>
            <p class="submit">
                    <input type="submit" name="submit" id="submit" class="button button-primary" value="Lưu thay đổi">
                </p>
            </form>
        </div>
        
        <?php
    }
}
?>
